@import 'color-palette';

:root {
  --text: #{$base-10};
  --text-lighter: #{$base-07};
  --background-light: #{$base-02};
  --background-lighter: #{$base-01};

  --tag-text: #{$base-09};
  --tag-background: #{$base-02};

  --header-text: #{$base-01};
  --header-background: #{$base-09};

  --playback-bar-text: #{$base-01};
  --playback-bar-background: #{$base-08};

  --form-title-background: #{$base-07};

  --input-border-color: #{$base-07};
  --input-border-color-focus: #{$accent-blue-07};

  --button-text: #{$base-01};
  --button-background: #{$base-07};
  --button-background-focus: #{$accent-blue-07};

  --playback-button-color: #{$base-01};
  --playback-button-background: #{$base-07};
  --playback-button-hover: #{$accent-blue-07};

  --header-button-color: #{$base-01};
  --header-button-background: #{$base-07};
  --header-button-hover: #{$accent-blue-07};

  --radio-list-button-color: #{$base-08};
  --radio-list-button-background: #{$base-02};
  --radio-list-button-hover: #{$accent-blue-02};

  --volume-slider-background-color: #{$base-09};

  --red-base: #{$red-05};
  --red-hover: #{$red-06};

  --switch-background: #{$base-02};
  --switch-background-enabled: #{$green-03};
  --switch-knob: #{$base-01};
  --switch-border: #{$gray-04};
}
